# Class UpdateProfileRequest | EchoHub Documentation

# Class UpdateProfileRequest

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

    public record UpdateProfileRequest : IEquatable<UpdateProfileRequest>

Inheritance
  object
  UpdateProfileRequest

Implements
  IEquatable<UpdateProfileRequest>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### UpdateProfileRequest(UpdateProfileRequest)

    protected UpdateProfileRequest(UpdateProfileRequest original)

#### Parameters

`original` UpdateProfileRequest

### UpdateProfileRequest(string?, string?, string?)

    public UpdateProfileRequest(string? DisplayName = null, string? Bio = null, string? NicknameColor = null)

#### Parameters

`DisplayName` string
`Bio` string
`NicknameColor` string

## Properties

### Bio

    public string? Bio { get; init; }

#### Property Value

string

### DisplayName

    public string? DisplayName { get; init; }

#### Property Value

string

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### NicknameColor

    public string? NicknameColor { get; init; }

#### Property Value

string

## Methods

### Deconstruct(out string?, out string?, out string?)

    public void Deconstruct(out string? DisplayName, out string? Bio, out string? NicknameColor)

#### Parameters

`DisplayName` string
`Bio` string
`NicknameColor` string

### Equals(UpdateProfileRequest?)

    public virtual bool Equals(UpdateProfileRequest? other)

#### Parameters

`other` UpdateProfileRequest

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(UpdateProfileRequest?, UpdateProfileRequest?)

    public static bool operator ==(UpdateProfileRequest? left, UpdateProfileRequest? right)

#### Parameters

`left` UpdateProfileRequest
`right` UpdateProfileRequest

#### Returns

bool

### operator !=(UpdateProfileRequest?, UpdateProfileRequest?)

    public static bool operator !=(UpdateProfileRequest? left, UpdateProfileRequest? right)

#### Parameters

`left` UpdateProfileRequest
`right` UpdateProfileRequest

#### Returns

bool